Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Class SmartBMPFactory

    java.lang.Object
      com.beasys.commerce.bridge.bmp.SmartBMPFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class SmartBMPFactory

extends Object

This class implements the Singleton design pattern for obtaining SmartBMP instances. A single instance of a SmartBMP exists for a given SmartBMP class name.

Constructor Summary
`SmartBMPFactory()` Deprecated See BEA Commerce product offering

Method Summary
`static SmartBMP` | `createSmartBMP(String smartBMPClass)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartBMPFactory

    public SmartBMPFactory()

  Deprecated See BEA Commerce product offering

Method Detail

### createSmartBMP

    public static SmartBMP createSmartBMP(String smartBMPClass)
                                   throws ClassNotFoundException,
                                          IllegalAccessException,
                                          InstantiationException

  Deprecated See BEA Commerce product offering

  Returns the singleton SmartBMP for the specified class name. The method uses the design pattern that reduces contention and synchronization overhead.

  Parameters
    `smartBMPClass` - class name of the SmartBMP
  Returns
    singleton SmartBMP
  Throws
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved